Subject: Re: [PATCH 5/5] [POWERPC] fsl_soc, legacy_serial: add support for "soc" compatible matching

From: Anton Vorontsov <[email-masked]>
Date: Fri, 25 Jan 2008 21:53:41 +0300

On Fri, Jan 25, 2008 at 12:17:19PM -0600, Scott Wood wrote:
> Anton Vorontsov wrote:
> >Freescale soc register space: "fsl,soc"
> >generic soc device: "soc" (or maybe "linux,soc" better?)
> >
> >I know, Scott Wood is pushing "xxxx-immr" thing forward... but
> >I don't like that name because SOC isn't only device with the
> >Internal Memory Mapped Registers. 
> 
> If you look in the manual for xxxx, you'll find something called 
> "Internal Memory Mapped Registers".  Thus, the name xxxx-immr.

Theory.

> >(Think of QE placed outside of "soc"/"immr" node).
> 
> When is the QE ever placed outside the soc/immr/ccsr node?
> The QE registers are part of the IMMR/CCSR.

Practice.

$ grep qe@ arch/powerpc/boot/dts/*
arch/powerpc/boot/dts/mpc832x_mds.dts:  qe@e0100000 {
arch/powerpc/boot/dts/mpc832x_rdb.dts:  qe@e0100000 {
arch/powerpc/boot/dts/mpc836x_mds.dts:  qe@e0100000 {
arch/powerpc/boot/dts/mpc8568mds.dts:   qe@e0080000 {

^^^ if the practice is wrong, then we should fix it, and then
-immr would be the good name indeed (just as I've said previously).

-- 
Anton Vorontsov
email: [email-masked]
backup email: [email-masked]
irc://irc.freenode.net/bd2